Page MenuHomePhabricator

LocalisationUpdate broken since GitBlit migration
Closed, ResolvedPublic

Description

Filing as bug as it's a week now.

Gerrit change 67531 was merged (and deployed, according to Chad), but it wasn't enough; probably thanks to gerrit change 68110, it now works for core; but extensions are still broken.

Example: https://git.wikimedia.org/commitdiff/mediawiki%2Fextensions%2FWikibase/127c6953860a41a8a03d73f97814f13855dee51e but old translation at [[d:MediaWiki:Wikibase-comment-update/nb]]


Version: unspecified
Severity: critical
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=38383
https://bugzilla.wikimedia.org/show_bug.cgi?id=50433

Details

Reference
bz49521

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:45 AM
bzimport added a project: Deployments.
bzimport set Reference to bz49521.
Nemo_bis created this task.Jun 13 2013, 9:25 AM

Chad, do you plan to look into this?

demon added a comment.Jun 13 2013, 2:45 PM

Yes, I was going to finish this up today.

I never said https://gerrit.wikimedia.org/r/#/c/67531/ was deployed, I just thought someone said it was. Looking at 1.22wmf6, it doesn't look like it's been deployed. Deploying this will fix it for production.

(In reply to comment #2)

I never said https://gerrit.wikimedia.org/r/#/c/67531/ was deployed, I just
thought someone said it was.

Sorry for misrepresenting your words, it wasn't intentional.

Would probably be worth checking in the puppet repo whether the update scripts there override the standard urls in this extension as well.

(In reply to comment #4)

Would probably be worth checking in the puppet repo whether the update
scripts
there override the standard urls in this extension as well.

The update scripts do override the standard urls, to point to an already-checked-out copy of mediawiki/core and mediawiki/extensions in the local filesystem. So the addition of urlencode in https://gerrit.wikimedia.org/r/#/c/67531/1/LocalisationUpdate.class.php is probably going to break things for any extension that has i18n files in a subdirectory or any other characters affected by urlencode in its filename.

I suppose we'll find out for sure tonight when l10nupdate runs against testwiki.

Related URL: https://gerrit.wikimedia.org/r/68546 (Gerrit Change I22613d2ebcff86d6e6c5f106baf01c790f413f80)

(In reply to comment #5)

I suppose we'll find out for sure tonight when l10nupdate runs against
testwiki.

Example given in comment 0 has been correctly updated.

Can this be closed as FIXED?

greg lowered the priority of this task from Unbreak Now! to Normal.Jan 8 2015, 5:36 PM
greg moved this task from To Triage to Done on the Deployments board.
greg raised the priority of this task from Normal to Unbreak Now!.Jan 8 2015, 5:43 PM
greg set Security to None.